#!/bin/sh

/usr/share/clean-device/aegis-check.sh

if [ $? = 77 ] ; then
	exit 1
fi

PATH=/bin:/usr/bin:/sbin

stop xsession/bluetoothd

rm -rf /var/lib/bluetooth

# disable Bluetooth in the MCE
# the last argument in the call (uint32:8) is to filter
# the BT bit.
dbus-send --system --type=method_call --dest=com.nokia.mce \
 /com/nokia/mce/request \
 com.nokia.mce.request.req_radio_states_change \
 uint32:0 uint32:8
